[@rxap/form-system](../wiki/globals) / InputSelectOptionsSettings

# Interface: InputSelectOptionsSettings\<Source\>

Defined in: [packages/angular/form-system/src/lib/directives/input-select-options.directive.ts:56](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/input-select-options.directive.ts#L56)

## Extends

- [`UseOptionsDataSourceSettings`](../wiki/TypeAlias.UseOptionsDataSourceSettings)\<`Source`\>

## Type Parameters

• **Source**

## Properties

### filteredOptions?

> `optional` **filteredOptions**: `boolean`

Defined in: [packages/angular/form-system/src/lib/directives/input-select-options.directive.ts:77](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/input-select-options.directive.ts#L77)

true - the options list is filtered by the current control value if the
control value is of type string. Then the display value of each option is
compared to the control value. If the display value of an option includes
the control value, then the option is used. This comprehensions it not type
sensitive

***

### ignoreSelectedValue?

> `optional` **ignoreSelectedValue**: `boolean`

Defined in: [packages/angular/form-system/src/lib/directives/input-select-options.directive.ts:68](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/input-select-options.directive.ts#L68)

true - the selected value is not send to the data source with the viewChange event.
Instead an empty object {} is send to trigger a data source refresh.

The OpenApiDataSource expects a Paramters Object in the viewChange event. This
can couse issue if the select value object as a property that is also a parameter for
the open-api operation. For instaed the select object has the property company and
the open-api operation has a query parameter company. Then the BuildOptions method
in the OpenApiDataSource would create a HttpParams object with the param company and the
value from the select object property company. This will result in unpredictable behaviors.

***

### loadOnce?

> `optional` **loadOnce**: `boolean`

Defined in: [packages/angular/form-system/src/lib/directives/input-select-options.directive.ts:82](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/input-select-options.directive.ts#L82)

true - the options list is only loaded once and not refreshed on each value change

***

### transformer()?

> `optional` **transformer**: (`source`) => `ControlOptions` \| `Record`\<`string`, `any`\>

Defined in: [packages/angular/form-system/src/lib/decorators/use-data-source.ts:7](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/decorators/use-data-source.ts#L7)

#### Parameters

##### source

`Source`

#### Returns

`ControlOptions` \| `Record`\<`string`, `any`\>

#### Inherited from

`UseOptionsDataSourceSettings.transformer`
